{ config, lib, pkgs, ... }:

{
  home.packages = with pkgs; [
    rmpc
    termusic
    mpc
  ];

  services = {
    mpd = {
      enable = true;
      musicDirectory = "/mnt/filez/media/Music";
      extraConfig = ''
      audio_output {
        type "pipewire"
        name "Default Playback"
      }
      '';
      network.startWhenNeeded = true;
    };
    mpdris2 = {
      enable = true;
    };
    playerctld = {
      enable = true;
      package = pkgs.playerctl;
    };
  };

  xdg.configFile."rmpc/" = {
    source = ./rmpc;
    recursive = true;
  };
}
